﻿using System.Windows;

using DynamicData;

using NodeNetwork.ViewModels;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            NodeInputViewModel nodeInputViewModel1 = new NodeInputViewModel();

            nodeInputViewModel1.Name = "Node 1 input";

            NodeViewModel nodeViewModel1 = new NodeViewModel();

            nodeViewModel1.Name     = "Node 1";
            nodeViewModel1.Position = new Point(200, 200);

            nodeViewModel1.Inputs.Add(nodeInputViewModel1);


            NodeOutputViewModel nodeOutputViewModel2 = new NodeOutputViewModel();

            nodeOutputViewModel2.Name = "Node 2 output";

            NodeViewModel nodeViewModel2 = new NodeViewModel();

            nodeViewModel2.Name = "Node 2";
            nodeViewModel2.Position = new Point(400, 200);

            nodeViewModel2.Outputs.Add(nodeOutputViewModel2);

            NetworkViewModel networkViewModel = new NetworkViewModel();

            networkViewModel.Nodes.Add(nodeViewModel1);
            networkViewModel.Nodes.Add(nodeViewModel2);

            this.networkView.ViewModel = networkViewModel;
        }

        #endregion
    }
}